# Uses of Class
org.apache.lucene.index.CheckIndex.Status.FieldInfoStatus

Packages that use CheckIndex.Status.FieldInfoStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

## Uses of CheckIndex.Status.FieldInfoStatus in org.apache.lucene.index

Fields in org.apache.lucene.index declared as CheckIndex.Status.FieldInfoStatus
Modifier and Type
Field
Description
`CheckIndex.Status.FieldInfoStatus`
CheckIndex.Status.SegmentInfoStatus.`fieldInfoStatus`
Status for testing of field infos
Methods in org.apache.lucene.index that return CheckIndex.Status.FieldInfoStatus
Modifier and Type
Method
Description
`static CheckIndex.Status.FieldInfoStatus`
CheckIndex.`testFieldInfos(CodecReader reader, PrintStream infoStream, boolean failFast)`
Test field infos.